Update Report Schedule By Id

Update Report Schedule By Id
Update Tenant Report Schedule associated with the specific Report Definition and for the specified Schedule identifier

The update of a schedule is a "Replace" operation.
If a schedule with the specified
schedule id is present in the system it will be replaced else the API returns a 404 error.

Request
URI
PUT
https://{api_host}/suite-api/api/chargeback/reportdefinitions/{id}/schedules
COPY
Path Parameters
string
id
Required

The Tenant Report Definition identifier


Request Body

The Tenant Report Schedule to update

chargeback-report-schedule of type(s) application/json
Required

Show optional properties

{
    "recurrence": 0,
    "reportScheduleType": "string",
    "resourceIds": [
        {}
    ],
    "startDate": "string"
}
"{\n  \"resourceIds\" : [ \"d2580a78-eacf-49fd-b6e2-b6e9eacd155e\" ],\n  \"startDate\" : \"4/30/15\",\n  \"reportScheduleType\" : \"WEEKLY\",\n  \"daysOfTheWeek\" : [ \"SUNDAY\", \"MONDAY\" ],\n  \"startHour\" : 1,\n  \"startMinute\" : 0,\n  \"recurrence\" : 2\n}"
integer As int32 As int32
dayOfTheMonth
Optional

The days of the month when the Schedule will run - Valid values are from 1-31

array of string
daysOfTheWeek
Optional

The days of the week this Schedule repeats

Possible values are : UNKNOWN, SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY,
string As uuid As uuid
id
Optional

UUID of the schedule

integer As int32 As int32
recurrence
Required

Indicates the recurrence period of the Schedule. Defaults to 1.

string
reportScheduleType
Required

Types of schedule

Possible values are : UNKNOWN, DAILY, WEEKLY, MONTHLY, YEARLY,
array of string
resourceIds
Required
Constraints: minItems: 0 maxItems: 1

Resource identifiers for which the schedule will be created. Currently we support Schedules for a single Resource.

string
startDate
Required

Starting time when the Report Schedule comes into effect. Defaults to the current date.

integer As int32 As int32
startHour
Optional

The hour of the day when the Schedule runs. Defaults to 8.

integer As int32 As int32
startMinute
Optional

The minutes of the hour when the Schedule runs. Defaults to 0.

string
weekOfMonth
Optional

Week of the Month

Possible values are : UNKNOWNN, FIRST, SECOND, THIRD, FOURTH, LAST,
Authentication
This operation uses the following authentication methods.
Responses
200

The updated Tenant Report Schedule object

Returns chargeback-report-schedule of type(s) application/json
"{\n  \"resourceIds\" : [ \"b7c82429-40cb-47ac-bb98-46ea2af83002\" ],\n  \"startDate\" : \"01/01/2015\",\n  \"reportScheduleType\" : \"MONTHLY\",\n  \"startHour\" : 8,\n  \"startMinute\" : 0,\n  \"recurrence\" : 1,\n  \"dayOfTheMonth\" : 1\n}"
integer As int32 As int32
dayOfTheMonth
Optional

The days of the month when the Schedule will run - Valid values are from 1-31

array of string
daysOfTheWeek
Optional

The days of the week this Schedule repeats

Possible values are : UNKNOWN, SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY,
string As uuid As uuid
id
Optional

UUID of the schedule

integer As int32 As int32
recurrence
Required

Indicates the recurrence period of the Schedule. Defaults to 1.

string
reportScheduleType
Required

Types of schedule

Possible values are : UNKNOWN, DAILY, WEEKLY, MONTHLY, YEARLY,
array of string
resourceIds
Required
Constraints: minItems: 0 maxItems: 1

Resource identifiers for which the schedule will be created. Currently we support Schedules for a single Resource.

string
startDate
Required

Starting time when the Report Schedule comes into effect. Defaults to the current date.

integer As int32 As int32
startHour
Optional

The hour of the day when the Schedule runs. Defaults to 8.

integer As int32 As int32
startMinute
Optional

The minutes of the hour when the Schedule runs. Defaults to 0.

string
weekOfMonth
Optional

Week of the Month

Possible values are : UNKNOWNN, FIRST, SECOND, THIRD, FOURTH, LAST,

404

No Tenant Report Definition/Schedule is found with the specified identifier

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"recurrence":"integer","reportScheduleType":"string","resourceIds":["string"],"startDate":"string"}' https://{api_host}/suite-api/api/chargeback/reportdefinitions/{id}/schedules